1
vote
1answer
452 views

Installing PHP 5.5.6: Can't start php-cgi.exe - MSVCR110.dll is missing

I'm trying to update from PHP 5.3 to PHP 5.5 after downloading the last version from here and I'm having this error: Can't start php-cgi.exe - MSVCR110.dll is missing I've read that I need to ...
0
votes
1answer
93 views

PHP 5.3 for recent Debian versions, with security backports (for Legacy apps)

Is there any way, to get a PHP 5.3 package for recent debian versions (i.e. wheezy) which is still getting security support? There are legacy projects which depend on register_globals() - and while ...
0
votes
1answer
81 views

Downgrade php5-cgi using APT on Debian

I have lighttpd install with PHP5.4 installed I need to downgrade it to 5.3.2 (possibly older/newer) but I can't install it I tried this apt-get install php5-cgi=5.3.2 but it says "E: Version ...
2
votes
1answer
160 views

CLI SAPI based daemon, PHP app with cronjobs support

I need to build an CLI SAPI based daemon, PHP app with cronjobs support for iOS platform. We have dedicated server. What kind of PHP environment to run this type of PHP applications?
0
votes
3answers
539 views

Sendmail Errors when Sending via PHP

I'm trying to setup a new help desk program (Kayako), but I'm having problems relaying the mail to our mail server. Here's the error I'm getting: sendmail[2371]: NOQUEUE: SYSERR(apache): can not ...
2
votes
1answer
567 views

Can't start Apache after attempt to upgrade to PHP 5.3.8

After attempting to upgrade my PHP version on Windows 7, I cannot start Apache. I get this error message: I used the Windows installer to upgrade to PHP 5.3.8 from 5.2, afterwards I was unable to ...
1
vote
2answers
895 views

php pages in a nginx + php-fpm server doesn't load

I've installed a nginx server and php-fpm in a CentOS 6 system (hosted in Amazon EC2) with the following this instructions: ...
1
vote
2answers
1k views

php sessions files incompatible? - php5.2 debian lenny vs php5.3 debian squeeze

php is truncating the session files to zero after migrating the session files from server one (debian lenny php 5.2) to the new server (debian squeeze php 5.3). i create a session on server one with ...
0
votes
1answer
649 views

Building php-devel package from source (php 5.3)

I am building PHP 5.3 rpm packages for our custom CentOS 5 yum repo. I am fairly new to building rpms to be honest, but I have had moderate success downloading the SRPMS for a given package and ...
1
vote
2answers
2k views

Running mod_php and suPHP same time

I recently went from Debian Lenny with 5.2.x and was able to use mod_php for any php files that were not located in /home/ and suPHP for all the php files that were located in /home/. I did this ...
0
votes
2answers
2k views

Upgrade PHP to 5.3 on CentOS 5 and Plesk 9.0.1

I have a VPS that currently runs CentOS 5 and Plesk 9.0.1. Right now the server runs PHP 5.1 but I really need to start running PHP 5.3. Is there a repository out there that would allow me to upgrade ...
2
votes
4answers
634 views

How to install a sandboxed version of PHP 5.3 (so I can still use an older version of PHP)?

Our development server is running Ubuntu with PHP 5.2.14. I need PHP 5.3 to try out the Behat library. How can I install PHP 5.3 to satisfy Behat, but keep PHP 5.2.14 as the default PHP version (so ...
0
votes
1answer
812 views

Php 5.3.3. Access log

I'm using php-fpm. In 5.3.2 when I'm opening phpinfo page in access log I get: ip - - [26/Aug/2010:16:35:32 +0400] "GET /phpinfo.php HTTP/1.1" 200 13322 "-" "Mozilla/5.0 (X11; U; Linux i686; en-US; ...
1
vote
2answers
5k views

Windows7 IIS7: zips don't have php5isapi.dll Can I use php.dll instead?

The page: How to Install PHP 5.2 on IIS 7and Windows Vista (and a few others) reference a mysterious php5isapi.dll which is not in the Windows install, or the zip files: php-5.3.2-Win32-VC9-x86.zip - ...
1
vote
1answer
115 views

is it safe for the Apache to be the owner of the session directory (php)

Since I have upgraded to php 5.3 I have issues with the session GC. Seems he can't access the directory which is owned by root, Although I see sessions are being created there. Is it safe to change ...
0
votes
1answer
198 views

Duplicate PHP installations

Started with 5.2.6 installed, then proceeded to install 5.3.1, but instead of overwriting, SSH php is now running 5.3.1, whereas the web server still servers content with the 5.2.6 installation. Any ...